import os
import sys
import numpy as np
import matplotlib.pyplot as plt
from astropy.io import fits

path = sys.argv[1]
srcName = sys.argv[2]
srcName0 = f'{path}/{srcName}'
hdulist = fits.open(srcName0 + '_mdlcube.fits')
ccube = hdulist[0].data.sum(axis=(1, 2))
Emins = hdulist[1].data.field('E_MIN')
Emaxs = hdulist[1].data.field('E_MAX')
Ebounds = np.hstack([Emins[0], Emaxs])
print(hdulist.info())

d1 = hdulist[-3].data.sum(axis=(1, 2))
d2 = hdulist[-2].data.sum(axis=(1, 2))
d3 = hdulist[srcName].data.sum(axis=(1, 2))
mdlcube = hdulist[-1].data.sum(axis=(1, 2))

ccube = np.hstack([ccube[0], ccube])
d1 = np.hstack([d1[0], d1])
d2 = np.hstack([d2[0], d2])
d3 = np.hstack([d3[0], d3])
mdlcube = np.hstack([mdlcube[0], mdlcube])

plt.step(Ebounds, ccube, 'b', label='ccube')
plt.step(Ebounds, d1, 'y', label='gal_diffuse_source')
plt.step(Ebounds, d2, 'c', label='iso_diffuse_source')
plt.step(Ebounds, d3, 'r', label=srcName)
plt.step(Ebounds, mdlcube, 'g', label='mdlcube')
plt.xlabel('Energy')
plt.ylabel('Counts')
plt.xscale('log')
plt.legend()
plt.savefig(srcName0 + '_Npred.png')
plt.savefig(srcName0 + '_Npred.pdf')
