# from distutils.core import setup
from setuptools import setup

with open('README.md', 'r') as f:
    long_description = f.read()

install_requires = []
with open('requirements.txt', 'r') as f:
    for line in f.readlines():
        install_requires.append(line.rstrip())

setup(
    name='DmpST',
    version='1.2.0',
    license='GPLv3',
    description='Science Tools for DAMPE gamma-ray data analysis',
    long_description=long_description,

    author='Duan Kai-Kai',
    author_email='duankk@pmo.ac.cn',
    url='https://hitee.com/duankk/DmpST',

    packages=['DmpST'],
    package_dir={'DmpST':'DmpST'},
    install_requires=install_requires,
    python_requires='>=3.7',
)
